%define LNG hu

Summary: Hungarian manual pages
Name: man-pages-%LNG
Version: 0.2.2
Release: %mkrel 20
License: Distributable
Group: System/Internationalization
URL: http://www.kde.hu/mlp/man/
Source: http://www.kde.hu/mlp/man/man_hu_2001_01_05.tar.bz2
BuildRequires: man
Requires: locales-%LNG, man
Autoreq: false
BuildArch: noarch

%description 
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to Hungarian.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)                      
        Section 2:  System calls                                    
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, %{_sysconfdir}passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%prep
%setup -q -n usr
#%setup -n manpages-%LNG
%build

%install
mkdir -p %{buildroot}/%{_mandir}/%LNG/man{1,2,3,4,5,6,7,8,9,n}

find man/hu -type f -name "*.gz" -exec gunzip {} \;

for i in 1 2 3 5 7 8; do
	cp -adpvrf man/hu/man$i %{buildroot}/%{_mandir}/%LNG/
done

%files
%defattr(0644,root,man,755)
#%doc CHANGES README COPYRIGHT
%attr(0755,root,root) %dir %{_mandir}/%LNG
%attr(0755,root,root) %dir %{_mandir}/%LNG/man*
%{_mandir}/%LNG/man*/*


%changelog
* Mon Nov 09 2015 tv <tv> 0.2.2-20.mga6
+ Revision: 900263
- drop support for makewhatis now that we use mandb

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-19.mga5
+ Revision: 748739
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-18.mga5
+ Revision: 682150
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-17.mga4
+ Revision: 522691
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 luigiwalser <luigiwalser> 0.2.2-16.mga3
+ Revision: 405262
- fix ownership of man directories to not conflict with other packages (mga#9055)

* Sat Jan 12 2013 umeabot <umeabot> 0.2.2-15.mga3
+ Revision: 359378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 ahmad <ahmad> 0.2.2-14.mga1
+ Revision: 5895
- drop old versioned man requires, just 'man' is enough now
- imported package man-pages-hu

